{
  "AbilityName": "AbyssS2_Event03_Client_1340063",
  "AbilitySpecials": {
    "AS_AddedDamageRatio": {
      "Value": 0.2,
      "ValueType": "Float"
    },
    "AS_HpPercentage": {
      "Value": 0.5,
      "ValueType": "Float"
    }
  },
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "ModifierStacking": "Unique",
    "OnAdded": [
      {
        "$type": "ApplyModifier",
        "ModifierName": "AbyssS2_Event03_Client_04_Control_Modifier",
        "Target": "Self"
      }
    ]
  },
  "Modifiers": {
    "AbyssS2_Event03_Client_04_Control_Modifier": {
      "Duration": -1,
      "OnBeingHit": [
        {
          "$type": "ApplyModifier",
          "ModifierName": "AbyssS2_Event03_Client_04_Monitor_Modifier"
        }
      ]
    },
    "AbyssS2_Event03_Client_04_DamageUP_Modifier": {
      "Duration": -1,
      "ModifierStacking": "Unique",
      "OnHitOther": [
        {
          "$type": "ModifyAttackDataAction",
          "PropertyKey": "Actor_AddedDamageRatio",
          "PropertyValue": "%AS_AddedDamageRatio",
          "Target": "Self"
        }
      ]
    },
    "AbyssS2_Event03_Client_04_Monitor_Modifier": {
      "ModifierMixins": [
        {
          "$type": "ActionsOnPropertyChangeMixin",
          "PropertyActions": [
            {
              "IsUsePercentage": true,
              "PropertyType": "CurHP",
              "ReferMaxPropertyType": "MaxHP",
              "ValueRangeActions": [
                {
                  "HighToValueActions": [
                    {
                      "$type": "ApplyModifier",
                      "ModifierName": "AbyssS2_Event03_Client_04_DamageUP_Modifier"
                    }
                  ],
                  "Val": "%AS_HpPercentage"
                }
              ]
            }
          ]
        }
      ],
      "ModifierStacking": "Unique"
    }
  }
}